Update customer document status

Update the status of a customer document by the given customerId and documentId.

🚧Warning

Use of this endpoint requires approval from Q2 and your bank of record.

Error Codes

Click to expand
CodeMessage (en-US)Notes
1-60000Any "Common Error Code" may occur.See Common Error Codes
60001customerId '{request.customerId}' is invalid
61400Program is not authorized to use this endpoint. Please contact your relationship manager for details
61401Missing required parameter '{parameter}'
154201Invalid documentId '{request.documentId}' or customerId '{request.customerId}' is not associated with the document.
199700Invalid customerDocumentStatusType. Refer to API documentation for valid types
199701documentId {request.DocumentId} is already in {request.customerDocumentStatusType} status.
199702customerDocumentStatusType cannot be changed from {customerDocument.status} status to {request.customerDocumentStatusType}. Please refer to API documentationCan only update documents with current status of inReview
Body Params
int32
required
≥ 1
int32
required
≥ 1
string
enum
required
Allowed:
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json